#
# spec file for package python-python-sql
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define base_name python-sql
Name:           python-%{base_name}
Version:        1.1.0
Release:        bp153.2.2.1
Summary:        Library to write SQL queries
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://pypi.io/project/python-sql
Source:         https://pypi.io/packages/source/p/%{base_name}/%{base_name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
python-sql is a library to write SQL queries in a pythonic way.

%prep
%setup -q -n %{base_name}-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%doc README
%{python_sitelib}/*

%changelog
* Sat Jan 25 2020 Axel Braun <axel.braun@gmx.de>
- Version 1.1.0 - 2020-01-25
  * Add ORDER BY clause to aggregate functions
  * Add support for Python 3.8
  * Add distinct on Select
* Mon Oct  1 2018 Axel Braun <axel.braun@gmx.de>
- Version 1.0.0
  * Add Flavor filter_ to fallback to case expression
  * Allow to use expression in AtTimeZone
  * Add comparison predicates
  * Add COLLATE
  * various bugfixes
* Mon Apr 24 2017 axel.braun@gmx.de
- Version 0.9
  * Add distinct_on on Select
  * Allow to use Select as Column of Select query
  * Support Select without from clause
* Mon Apr 17 2017 axel.braun@gmx.de
- singlespec
  source URL corrected
* Thu Jun 30 2016 axel.braun@gmx.de
- corrected name/metaname
* Thu Jun 30 2016 axel.braun@gmx.de
- correct naming to python-python-sql
  correct License
* Sat Sep 19 2015 axel.braun@gmx.de
- Version 0.8
  * Add DISTINCT qualifier to aggregate expressions
  * Allow to order on select queries
  * Add NULL ordering
  * Use UPPER to simulate missing ILIKE
  * Add CURRENT_DATE function
  * Fix DateTrunc function name
  * Add no_boolean Flavor
  * Add converter format2numeric
  * Add rownum limit style
  * Add no_as Flavor
* Wed May 20 2015 axel.braun@gmx.de
- upgrade to version 0.7
  * Fix WINDOW and HAVING params order in Select
  * Add window functions
  * Add filter and within group to aggregate
  * Add limitstyle with 'offset' and 'limit'
  * Add Lateral
* Fri Feb  6 2015 axel.braun@gmx.de
- upgrade to version 0.6
  * Fix Delete query under multithread
  * Add missing quote for with query name
- Changes from version 0.5
  * Add schema
  * Add Common Table Expression
  * Escape Mod operator '%%' with format paramstyle
  * Deprecate Interesect in favor of Intersect
  * Add Values
- remove build dependencies to python-Genshi, python-lxml
* Fri Sep 12 2014 axel.braun@gmx.de
- upgrade to version 0.4
* Mon Mar 24 2014 axel.braun@gmx.de
- update to version 0.3
* Mon Oct 28 2013 axel.braun@gmx.de
- Initial Build on OBS
